Subject: Re: [net-next, PATCH 2/2] net: socionext: remove mmio reads on Tx

From: Ilias Apalodimas <[email-masked]>
Date: Fri, 14 Dec 2018 16:32:59 +0200

Hi Ard,
> > >
> > > So shouldn't we do this *after* processing Rx, and only if there is budget left?
> >
> > I am not really sure, this would drown Tx processing if you had a bunch of
> > received packets that exhausted the budget.
> > Intel 1gbit drivers are doing something similar. They reclaim Tx prior to
> > processing Rx. The only thing that could be checked here i guess is keep the
> > napi poll running if *all* Tx descriptors were processed at some point instead
> > of re-enabling irqs.
> >
> 
> The reason I suggest it is because you quoted it from the documentation :-)

Yes i understand. I had my doubts as well.
That's hy i tried following the example of another driver.

> 
> But if reality deviates from that, then sure, let's follow the
> examples of others.

Agree. Unless someone has any objections i am fine with the current patches.

Thanks!
/Ilias